AWSTemplateFormatVersion: "2010-09-09"
Description: Sagemaker notebook instance from the docs.
Resources:
  BasicNotebookInstance:
    Type: "AWS::SageMaker::NotebookInstance"
    Properties:
      InstanceType: "ml.t2.large"
      RoleArn: !GetAtt ExecutionRole.Arn
  ExecutionRole:
    Type: "AWS::IAM::Role" 
    Properties:
      AssumeRolePolicyDocument: 
        Version: "2012-10-17" 
        Statement:
          - 
            Effect: "Allow"
            Principal:
              Service: 
                - "sagemaker.amazonaws.com" 
            Action:
              - "sts:AssumeRole" 
      Path: "/"
      Policies:
        -  
          PolicyName: "root"
          PolicyDocument:
            Version: "2012-10-17" 
            Statement:
              -  
                Effect: "Allow"
                Action: "*"
                Resource: "*"
Outputs:
  BasicNotebookInstanceId:
    Value: !Ref BasicNotebookInstance